%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name fastthread

Summary: Optimized replacement for thread.rb primitives
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 1.0.7
Release: 7%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://mongrel.rubyforge.org
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildRequires: %{?scl:%scl_prefix}ruby-devel
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Optimized replacement for thread.rb primitives

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%{?scl:"}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %scl "}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

find -type f -exec sed -i 's|/usr/bin/ruby|%{?scl:%_scl_root}/usr/bin/ruby|' "{}" \;

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %scl "}
gem build %{gem_name}.gemspec
%{?scl:"}

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
%{?scl:scl enable %scl "}
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:"}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

#mkdir -p %{buildroot}%{ruby_vendorarchdir}
#mv %{buildroot}%{gem_instdir}/lib/fastthread.so %{buildroot}%{ruby_vendorarchdir} 
#chmod 0755 %{buildroot}%{ruby_vendorarchdir}/fastthread.so
#strip %{buildroot}%{ruby_vendorarchdir}/fastthread.so

rm -rf %{buildroot}%{gem_instdir}/ext
rm -rf %{buildroot}%{gem_instdir}/.require_paths

%files
%doc %{gem_dir}/doc
#%{ruby_vendorarchdir}/fastthread.so
%{gem_instdir}
%{gem_spec}
%exclude %{gem_dir}/cache/%{gem_name}-%{version}.gem

%changelog
* Thu Mar 28 2013 Brenton Leanhardt <bleanhar@redhat.com> - 1.0.7-7
- Rebuild for CVE-2013-0256

* Sat Sep 29 2012 Troy Dawson <tdawson@redhat.com> - 1.0.7-6
- Release bump for rebuild into both i386 and x86_64

* Thu Aug 16 2012 Troy Dawson <tdawson@redhat.com> - 1.0.7-5
- Repackaged to work with scl

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Scott Seago <sseago@redhat.com> - 1.0.7-1
- Upgraded to 1.0.7

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 08 2008 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.1-1
- New upstream version

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-2
- Autorebuild for GCC 4.3

* Thu Aug 23 2007  <sseago@redhat.com> - 1.0-1
- Updated gem to Version 1.0

* Tue Mar  6 2007  <sseago@redhat.com> - 0.6.4.1-1
- Initial packaging.
